#language: ru

@TransportLogistics

Функционал: 006. TransportLogistics. Установка дат запрета и создание шаблона рейса

Сценарий: 006.1. TransportLogistics. Создание шаблона рейса

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.006. Транспортная логистика"
	Дано я удаляю объекты "Документы.к2ШаблоныРейсов" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Шаблоны рейсов'
	Тогда открылось окно 'Шаблоны рейсов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Шаблоны рейсов (создание)'
	И в поле с именем 'Дата' я ввожу текст '10.04.2020  0:00:00'
	И из выпадающего списка "Зона доставки" я выбираю по строке 'Зона доставки'
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'    | 'Государственный номер' |
		| 'А524НВ Газель' | 'А524НВ'                |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны рейсов (создание) *'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'Группа складов для отгрузки' |
	И в таблице  "Список" я перехожу на один уровень вниз
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырная ГП'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Шаблоны рейсов (создание) *'
	И в таблице "Маршрут" я нажимаю на кнопку с именем 'МаршрутДобавить'
	И в таблице "Маршрут" я нажимаю кнопку выбора у реквизита "Точка доставки"
	Тогда открылось окно 'Точки доставки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Точка доставки с зоной' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Шаблоны рейсов (создание) *'
	И в таблице "Маршрут" я завершаю редактирование строки
	И я устанавливаю флаг 'Понедельник'
	И я устанавливаю флаг 'Среда'
	И я устанавливаю флаг 'Пятница'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Шаблоны рейсов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны рейсов'
	И Я закрываю окно 'Шаблоны рейсов'

Сценарий: 006.2. TransportLogistics. Завершение

	И Я закрыл все окна клиентского приложения